Bug 9089 - show suggestion number on suggestion management
Summary: show suggestion number on suggestion management
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nicolas Legrand
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-15 17:03 UTC by Nicole C. Engard
Modified: 2015-12-03 22:11 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 9089 - show suggestion number (1.80 KB, patch)
2015-03-26 11:19 UTC, Nicolas Legrand
Details | Diff | Splinter Review
Bug 9089 - show suggestion number (1.86 KB, patch)
2015-03-29 20:43 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 9089 - show suggestion number (1.79 KB, patch)
2015-03-30 07:49 UTC, Nicolas Legrand
Details | Diff | Splinter Review
Bug 9089 - show suggestion number (1.85 KB, patch)
2015-03-30 13:28 UTC, Nicole C. Engard
Details | Diff | Splinter Review
[PASSED QA] Bug 9089 - show suggestion number (1.92 KB, patch)
2015-04-10 14:13 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2012-11-15 17:03:30 UTC
The suggestion number doesn't show on the suggestion management page or on the individual suggestions when editing/viewing them, but it does show on acquisitions when you order from a suggestion.  We should show it on the suggestion management list and the individual suggestions when you view/edit them.

Nicole
Comment 1 Nicolas Legrand 2015-03-26 11:19:43 UTC Comment hidden (obsolete)
Comment 2 Nicolas Legrand 2015-03-26 11:21:59 UTC
Someone in my library just ask for this functionnality. Here is a patch for it. To test:

apply and check the suggestion page, a column "Suggestion number" should appear on all tabs.
Comment 3 Nicole C. Engard 2015-03-29 20:43:54 UTC Comment hidden (obsolete)
Comment 4 Nicole C. Engard 2015-03-29 20:44:31 UTC
I recommend a follow up to change the column header to be # or No. or something much much shorter - but it didn't seem like a reason to fail this on QA.

Nicole
Comment 5 Katrin Fischer 2015-03-29 20:45:31 UTC
I seem to remember we switched out # for No. in another patch in other places, so I'd prefer that - also easier on translators.
Comment 6 Nicolas Legrand 2015-03-30 07:49:38 UTC Comment hidden (obsolete)
Comment 7 Nicolas Legrand 2015-03-30 07:50:47 UTC
Ok! I just changed it to "No".
Comment 8 Nicole C. Engard 2015-03-30 13:28:31 UTC Comment hidden (obsolete)
Comment 9 Kyle M Hall 2015-04-10 14:13:42 UTC
Created attachment 37652 [details] [review]
[PASSED QA] Bug 9089 - show suggestion number

Show suggestion number on suggestion management.

Signed-off-by: Nicole Engard <nengard@bywatersolutions.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 10 Tomás Cohen Arazi 2015-05-05 18:43:28 UTC
Patch pushed to master.

Thanks Nicolas!